Stream converse with model (LiteLLM - Bedrock format)
Streams messages using AWS Bedrock Converse-compatible format via LiteLLM.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Path Parameters
modelIdstring
Model ID
messages?array<BedrockMessage>
Array of messages for the conversation
system?array<object>
System messages/prompts
inferenceConfig?object
toolConfig?object
guardrailConfig?object
additionalModelRequestFields?object
Model-specific parameters
Empty Object
additionalModelResponseFieldPaths?array<string>
performanceConfig?object
promptVariables?object
Empty Object
requestMetadata?object
Empty Object
serviceTier?object
fallbacks?array<string>
Response Body
curl -X POST "https://loading/{AI_GATEWAY_URL}/litellm/bedrock/model/string/converse-stream" \ -H "Content-Type: application/json" \ -d '{}'{
"role": "string",
"contentBlockIndex": 0,
"delta": {
"text": "string",
"reasoningContent": {
"text": "string",
"signature": "string"
},
"toolUse": {
"input": "string"
}
},
"stopReason": "string",
"start": {
"toolUse": {
"toolUseId": "string",
"name": "string"
}
},
"usage": {
"inputTokens": 0,
"outputTokens": 0,
"totalTokens": 0,
"cacheReadInputTokens": 0,
"cacheWriteInputTokens": 0
},
"metrics": {
"latencyMs": 0
},
"trace": {},
"additionalModelResponseFields": {},
"invokeModelRawChunk": "string"
}{
"message": "string",
"type": "string"
}{
"message": "string",
"type": "string"
}